Bug 356282 - digiKam stop to export photo
Summary: digiKam stop to export photo
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Database-Sqlite (show other bugs)
Version: 4.0.0
Platform: Mint (Ubuntu based) Linux
: NOR crash
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2015-12-04 16:09 UTC by EO
Modified: 2021-05-10 15:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description EO 2015-12-04 16:09:56 UTC
Application: digikam (4.0.0)
KDE Platform Version: 4.14.2
Qt Version: 4.8.6
Operating System: Linux 3.16.0-38-generic x86_64
Distribution: Linux Mint 17.2 Rafaela

-- Information about the crash:
- What I was doing when the application crashed: He reiniciado la aplicación y funciona con normalidad. En el momento del cierre tenía abierto darktable.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fee5b8aaac0 (LWP 2600))]

Thread 7 (Thread 0x7fee366ef700 (LWP 2601)):
#0  0x00007fee549fb12d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fee3ae4f248 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007fee50ecf182 in start_thread (arg=0x7fee366ef700) at pthread_create.c:312
#3  0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7fee2b6a5700 (LWP 2602)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee566e1816 in wait (time=18446744073709551615, this=0xec5a30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0xf2a630, mutex=mutex@entry=0xf2a628, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005e3d9e in Digikam::ScanController::run (this=0xef6220) at /build/buildd/digikam-4.0.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007fee566e132f in QThreadPrivate::start (arg=0xef6220) at thread/qthread_unix.cpp:349
#5  0x00007fee50ecf182 in start_thread (arg=0x7fee2b6a5700) at pthread_create.c:312
#6  0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7fee2aea4700 (LWP 2603)):
#0  __pthread_mutex_unlock_usercnt (decr=1, mutex=0x7fee1c000a80) at pthread_mutex_unlock.c:51
#1  __GI___pthread_mutex_unlock (mutex=0x7fee1c000a80) at pthread_mutex_unlock.c:310
#2  0x00007fee4d96f9b1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fee4d92e0f6 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee568107be in QEventDispatcherGlib::processEvents (this=0x7fee1c0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0x00007fee567e20af in QEventLoop::processEvents (this=this@entry=0x7fee2aea3ae0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fee567e23a5 in QEventLoop::exec (this=this@entry=0x7fee2aea3ae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fee566dec5f in QThread::exec (this=this@entry=0xe8e660) at thread/qthread.cpp:537
#8  0x00007fee567c3823 in QInotifyFileSystemWatcherEngine::run (this=0xe8e660) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007fee566e132f in QThreadPrivate::start (arg=0xe8e660) at thread/qthread_unix.cpp:349
#10 0x00007fee50ecf182 in start_thread (arg=0x7fee2aea4700) at pthread_create.c:312
#11 0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7fee2a6a3700 (LWP 2607)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee566e1816 in wait (time=18446744073709551615, this=0x1814010) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x10891b0, mutex=mutex@entry=0x10891a8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fee58f228aa in Digikam::ParkingThread::run (this=0x1089190) at /build/buildd/digikam-4.0.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007fee566e132f in QThreadPrivate::start (arg=0x1089190) at thread/qthread_unix.cpp:349
#5  0x00007fee50ecf182 in start_thread (arg=0x7fee2a6a3700) at pthread_create.c:312
#6  0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7fee28ea2700 (LWP 2608)):
#0  0x00007fee4d92b3e3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fee4d92d9bb in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee4d92df7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fee4d92e0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee568107be in QEventDispatcherGlib::processEvents (this=0x7fee140008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0x00007fee567e20af in QEventLoop::processEvents (this=this@entry=0x7fee28ea1ae0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fee567e23a5 in QEventLoop::exec (this=this@entry=0x7fee28ea1ae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fee566dec5f in QThread::exec (this=this@entry=0x1a37990) at thread/qthread.cpp:537
#8  0x00007fee567c3823 in QInotifyFileSystemWatcherEngine::run (this=0x1a37990) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007fee566e132f in QThreadPrivate::start (arg=0x1a37990) at thread/qthread_unix.cpp:349
#10 0x00007fee50ecf182 in start_thread (arg=0x7fee28ea2700) at pthread_create.c:312
#11 0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7fee0f7fd700 (LWP 3059)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee566e1816 in wait (time=18446744073709551615, this=0x64f7940) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x64f6b30, mutex=mutex@entry=0x64f6b28, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fee0c141c6d in KIPIPlugins::KPRawThumbThread::run (this=0x64f6fb0) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/tools/kprawthumbthread.cpp:108
#4  0x00007fee566e132f in QThreadPrivate::start (arg=0x64f6fb0) at thread/qthread_unix.cpp:349
#5  0x00007fee50ecf182 in start_thread (arg=0x7fee0f7fd700) at pthread_create.c:312
#6  0x00007fee54a0847d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7fee5b8aaac0 (LWP 2600)):
[KCrash Handler]
#6  0x00007fee3f353e59 in sqlite3MemCompare (pMem1=pMem1@entry=0x7ffd3f772140, pMem2=<optimized out>, pColl=0x442b0c8) at sqlite3.c:60495
#7  0x00007fee3f354013 in sqlite3VdbeRecordCompare (nKey1=18, pKey1=0x7fee2436698f, pPKey2=pPKey2@entry=0x7ffd3f772440) at sqlite3.c:64173
#8  0x00007fee3f3686b9 in sqlite3BtreeMovetoUnpacked (pCur=0x2dc5490, pIdxKey=0x7ffd3f772440, intKey=0, biasRight=<optimized out>, pRes=0x7ffd3f772430) at sqlite3.c:55088
#9  0x00007fee3f390a75 in sqlite3VdbeExec (p=p@entry=0x6532488) at sqlite3.c:70179
#10 0x00007fee3f398f87 in sqlite3Step (p=0x6532488) at sqlite3.c:64839
#11 sqlite3_step (pStmt=<optimized out>) at sqlite3.c:64905
#12 0x00007fee29c9e11c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x65523b0, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#13 0x00007fee29c9ee48 in QSQLiteResult::exec (this=0x64f4110) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#14 0x00007fee5b4d8b7d in QSqlQuery::exec (this=this@entry=0x7ffd3f772978) at kernel/qsqlquery.cpp:949
#15 0x00007fee58edba46 in Digikam::DatabaseCoreBackend::exec (this=0xf24fd0, query=...) at /build/buildd/digikam-4.0.0/core/libs/database/core/databasecorebackend.cpp:1415
#16 0x00007fee58edbacc in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xf24fd0, query=..., boundValue1=...) at /build/buildd/digikam-4.0.0/core/libs/database/core/databasecorebackend.cpp:1057
#17 0x00007fee58edcb70 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xf24fd0, sql=..., boundValue1=...) at /build/buildd/digikam-4.0.0/core/libs/database/core/databasecorebackend.cpp:1006
#18 0x00007fee58edcbb9 in Digikam::DatabaseCoreBackend::execSql (this=0xf24fd0, sql=..., boundValue1=..., values=values@entry=0x7ffd3f7729c0, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-4.0.0/core/libs/database/core/databasecorebackend.cpp:903
#19 0x00007fee5889de2e in Digikam::AlbumDB::getSetting (this=this@entry=0xf262c0, keyword=...) at /build/buildd/digikam-4.0.0/core/libs/database/albumdb.cpp:972
#20 0x00007fee5889e75c in Digikam::AlbumDB::getFilterSettings (this=0xf262c0, imageFilter=imageFilter@entry=0x7ffd3f772c10, videoFilter=videoFilter@entry=0x7ffd3f772c30, audioFilter=audioFilter@entry=0x7ffd3f772c20) at /build/buildd/digikam-4.0.0/core/libs/database/albumdb.cpp:1017
#21 0x00007fee588b3eaa in Digikam::CollectionScanner::loadNameFilters (this=this@entry=0x7ffd3f772e10) at /build/buildd/digikam-4.0.0/core/libs/database/collectionscanner.cpp:408
#22 0x00007fee588b45e3 in Digikam::CollectionScanner::mainEntryPoint (this=this@entry=0x7ffd3f772e10, complete=complete@entry=false) at /build/buildd/digikam-4.0.0/core/libs/database/collectionscanner.cpp:806
#23 0x00007fee588b6c64 in Digikam::CollectionScanner::scanFile (this=this@entry=0x7ffd3f772e10, fi=..., albumId=2705, imageId=imageId@entry=129326, mode=mode@entry=Digikam::CollectionScanner::NormalScan) at /build/buildd/digikam-4.0.0/core/libs/database/collectionscanner.cpp:767
#24 0x00007fee588b6e93 in Digikam::CollectionScanner::scanFile (this=this@entry=0x7ffd3f772e10, info=..., mode=Digikam::CollectionScanner::NormalScan) at /build/buildd/digikam-4.0.0/core/libs/database/collectionscanner.cpp:762
#25 0x00000000005e315d in Digikam::ScanController::scannedInfo (this=0xef6220, filePath=...) at /build/buildd/digikam-4.0.0/core/digikam/database/scancontroller.cpp:560
#26 0x00000000005343da in Digikam::KipiImageInfo::KipiImageInfo (this=0x6561770, interface=<optimized out>, url=...) at /build/buildd/digikam-4.0.0/core/utilities/kipiiface/kipiimageinfo.cpp:85
#27 0x000000000053d1ee in Digikam::KipiInterface::info (this=0x23ca6b0, url=...) at /build/buildd/digikam-4.0.0/core/utilities/kipiiface/kipiinterface.cpp:175
#28 0x00007fee0c13e4e5 in attribute (name=..., this=0x64c8610) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/tools/kpimageinfo.cpp:73
#29 hasAttribute (name=..., this=0x64c8610) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/tools/kpimageinfo.cpp:100
#30 KIPIPlugins::KPImageInfo::hasDescription (this=this@entry=0x7ffd3f773030) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/tools/kpimageinfo.cpp:227
#31 0x00007fee0c13e01a in KIPIPlugins::KPImageInfo::description (this=this@entry=0x7ffd3f773030) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/tools/kpimageinfo.cpp:192
#32 0x00007fee0c14f544 in KIPIPlugins::KPImagesListViewItem::updateInformation (this=this@entry=0x64cf560) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/common/libkipiplugins/widgets/kpimageslist.cpp:132
#33 0x00007fed933bae59 in KIPISendimagesPlugin::MyImageList::imagesList (this=<optimized out>) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/sendimages/myimagelist.cpp:52
#34 0x00007fed933b98ee in KIPISendimagesPlugin::SendImagesDialog::emailSettings (this=0x4194590) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/sendimages/sendimagesdialog.cpp:168
#35 0x00007fed933b8c4f in KIPISendimagesPlugin::Plugin_SendImages::slotPrepareEmail (this=0x4167450) at /build/buildd/digikam-4.0.0/extra/kipi-plugins/sendimages/plugin_sendimages.cpp:155
#36 0x00007fee567f787a in QMetaObject::activate (sender=sender@entry=0x4194590, m=m@entry=0x7fee5762c3e0 <KDialog::staticMetaObject>, local_signal_index=local_signal_index@entry=9, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#37 0x00007fee5718f6e3 in KDialog::okClicked (this=this@entry=0x4194590) at ./kdialog.moc:271
#38 0x00007fee5718fdd0 in KDialog::slotButtonClicked (this=0x4194590, button=4) at ../../kdeui/dialogs/kdialog.cpp:884
#39 0x00007fee5719166f in KDialog::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at ./kdialog.moc:166
#40 0x00007fee567f787a in QMetaObject::activate (sender=sender@entry=0x560df20, m=m@entry=0x7fee56b44d60 <QSignalMapper::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffd3f773450) at kernel/qobject.cpp:3539
#41 0x00007fee567fefbe in QSignalMapper::mapped (this=this@entry=0x560df20, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:114
#42 0x00007fee567ff0c6 in QSignalMapper::map (this=0x560df20, sender=0x5d125d0) at kernel/qsignalmapper.cpp:266
#43 0x00007fee567f787a in QMetaObject::activate (sender=sender@entry=0x5d125d0, m=m@entry=0x7fee563d52a0 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffd3f7735c0) at kernel/qobject.cpp:3539
#44 0x00007fee55f50172 in QAbstractButton::clicked (this=this@entry=0x5d125d0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
#45 0x00007fee55cb3a63 in QAbstractButtonPrivate::emitClicked (this=this@entry=0x57094d0) at widgets/qabstractbutton.cpp:548
#46 0x00007fee55cb4bd3 in QAbstractButtonPrivate::click (this=this@entry=0x57094d0) at widgets/qabstractbutton.cpp:541
#47 0x00007fee55cb4cbc in QAbstractButton::mouseReleaseEvent (this=0x5d125d0, e=0x7ffd3f773ab0) at widgets/qabstractbutton.cpp:1123
#48 0x00007fee5595151a in QWidget::event (this=0x5d125d0, event=0x7ffd3f773ab0) at kernel/qwidget.cpp:8376
#49 0x00007fee55901e2c in QApplicationPrivate::notify_helper (this=this@entry=0xd6a400, receiver=receiver@entry=0x5d125d0, e=e@entry=0x7ffd3f773ab0) at kernel/qapplication.cpp:4567
#50 0x00007fee559085dd in QApplication::notify (this=this@entry=0x7ffd3f774720, receiver=receiver@entry=0x5d125d0, e=e@entry=0x7ffd3f773ab0) at kernel/qapplication.cpp:4110
#51 0x00007fee5722dcca in KApplication::notify (this=0x7ffd3f774720, receiver=0x5d125d0, event=0x7ffd3f773ab0) at ../../kdeui/kernel/kapplication.cpp:311
#52 0x00007fee567e34dd in QCoreApplication::notifyInternal (this=0x7ffd3f774720, receiver=receiver@entry=0x5d125d0, event=event@entry=0x7ffd3f773ab0) at kernel/qcoreapplication.cpp:953
#53 0x00007fee55907d93 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#54 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x5d125d0, event=event@entry=0x7ffd3f773ab0, alienWidget=alienWidget@entry=0x5d125d0, nativeWidget=nativeWidget@entry=0x4194590, buttonDown=buttonDown@entry=0x7fee563e7318 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#55 0x00007fee5597c9eb in QETWidget::translateMouseEvent (this=this@entry=0x4194590, event=event@entry=0x7ffd3f773e30) at kernel/qapplication_x11.cpp:4634
#56 0x00007fee5597c289 in QApplication::x11ProcessEvent (this=0x7ffd3f774720, event=event@entry=0x7ffd3f773e30) at kernel/qapplication_x11.cpp:3627
#57 0x00007fee559a3b32 in x11EventSourceDispatch (s=0xd5c270, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#58 0x00007fee4d92de04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007fee4d92e048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007fee4d92e0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#61 0x00007fee568107be in QEventDispatcherGlib::processEvents (this=0xcb0050, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#62 0x00007fee559a3be6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x00007fee567e20af in QEventLoop::processEvents (this=this@entry=0x7ffd3f774200, flags=...) at kernel/qeventloop.cpp:149
#64 0x00007fee567e23a5 in QEventLoop::exec (this=this@entry=0x7ffd3f774200, flags=...) at kernel/qeventloop.cpp:204
#65 0x00007fee567e7b79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#66 0x00007fee5590037c in QApplication::exec () at kernel/qapplication.cpp:3828
#67 0x00000000004948f0 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-4.0.0/core/digikam/main/main.cpp:236

Possible duplicates by query: bug 355903, bug 351521, bug 351374, bug 350130, bug 347786.

Reported using DrKonqi
Comment 1 caulier.gilles 2015-12-04 17:13:14 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2020-07-26 12:41:56 UTC
Fixed with #329697
Comment 3 caulier.gilles 2021-05-10 15:04:00 UTC
Fixed with #329697